package com.ibtp.kontor.comics.dal;

import com.ibtp.kontor.comics.entity.ArtistEntity;

import java.util.Collection;
import java.util.List;

/**
 * Created by TPEETZ on 16.01.2015.
 */
interface ArtistDao {

    public ArtistEntity getById(Long id);

    public Collection<ArtistEntity> findByIds(List<Long> ids);

    public Collection<ArtistEntity> findByName(String name);

    public Collection<ArtistEntity> findAll();

    public ArtistEntity addArtist(String name);

    public ArtistEntity store(ArtistEntity entity);

    public void delete(ArtistEntity entity);
}
